<?php

require_once('./CS_Includes.inc.php');

try {
	$cfgTree = new CSTreeView('cfgTree');

	$cfgTree->AddNode($cfgTree->getRootName(), array(
				'label'		=> 'General Options',
				'href'		=> 'Options.php',
				'target'	=> 'MainFrame',
				'icon'		=> 'option',
				'expand'	=> FALSE));

	$cfgTree->AddNode($cfgTree->getRootName(), array(
				'label'		=> 'Device Groups',
				'href'		=> 'Groups.php',
				'target'	=> 'MainFrame',
				'icon'		=> 'folder',
				'expand'	=> FALSE));

	$cfgTree->AddNode($cfgTree->getRootName(), array(
				'label'		=> 'Alert Groups',
				'href'		=> 'Alerts.php',
				'target'	=> 'MainFrame',
				'icon'		=> 'alert',
				'expand'	=> FALSE));

	$cfgTree->AddNode($cfgTree->getRootName(), array(
				'label'		=> 'Logging',
				'href'		=> 'Logging.php',
				'target'	=> 'MainFrame',
				'icon'		=> 'log',
				'expand'	=> FALSE));
}
catch (Exception $e) {
	CS::Abort($e);
}

CS::PrintHtmlHeader(FALSE, CSTreeView::GetHeaderArray(), FALSE, FALSE);

?>

<body onload="<?php echo $cfgTree->getInitName(); ?>();">

<div id="Menu">

	<div class="TreeView">

	<?php

		$cfgTree->InsertClientScript();
		$cfgTree->InsertTreeElement();

	?>

	<!-- closes #Menu.TreeView -->

	</div>

<!-- closes #Menu -->
</div>

<?php CS::PrintCopyright(); ?>

</body>
</html>