<?php

require_once($_SERVER['APPL_PHYSICAL_PATH'].'/inc/CS.class.php');

try {
	$v = CS::GetVersionInfo(TRUE);
}
catch (Exception $e) {
	CS::Abort($e);
}

CS::PrintHtmlHeader('About');

?>

<body id="Main">

	<div id="About">

		<div class="Logo"></div>

		<div class="App">
			<p class="Title"><?php echo CS_TITLE; ?></p>
			<p class="Version">Version <?php echo $v[0]; ?> (<?php echo CS_UPDATE; ?>)</p>
			<p class="Build">Build <?php echo $v[1]; ?> (<?php echo $v[2]; ?>)</p>

		<!-- closes #About.App -->
		</div>

	<!-- closes #About -->
	</div>

	<div id="AboutCopyright">

		<p>Copyright &copy; 2006-2008 Alasdair McWilliam. All rights reserved.</p>

		<form action="CS_About.php" method="post">
			<input type="button" value="Close" onclick="window.close();" />
		</form>
	</div>

</body>
</html>