<?php

require_once($_SERVER['APPL_PHYSICAL_PATH'].'/inc/CS.class.php');

try {
	CS::Check($_GET['section'], CSA_EMPTY|CSA_THROW, 'Body frame called with no section');
	$section = basename($_GET['section']);
}
catch (Exception $e) {
	CS::Abort($e);
}

CS::PrintHtmlHeader(FALSE, FALSE, TRUE);

?>

<frameset cols="300,*" frameborder="0">

	<noframes>
		<body>
			<h1>Frameset Error</h1>
			<p>This application requires a web browser that supports frames.</p>
		</body>
	</noframes>

	<frame frameborder="0" src="<?php echo $section; ?>/CS_Menu.php" name="MenuFrame" scrolling="yes" />
	<frame frameborder="0" src="<?php echo $section; ?>/CS_Main.php" name="MainFrame" scrolling="yes" />

</frameset>

</html>